#!/bin/bash

set -e

filename="gnomad.exomes.r2.1.1.sites.liftover_grch38.vcf.bgz"

output="gnomad.exomes.r2.1.1.extract.tsv"

columns="AC,AN,AF,AF_percent,controls_AC,controls_AN,controls_AF,controls_AF_percent,non_neuro_AC,non_neuro_AN,non_neuro_AF,non_neuro_AF_percent"


CONTIGS=$(tabix -l $filename)


for contig in $CONTIGS; do

    echo $contig
    vcfinfo_extractor.py \
        ${filename} --columns ${columns} -o "result_${contig}.tsv" -r ${contig} &
done

